#!/usr/bin/env ruby
require("gsl")
require("gslbench")
include GSL::Bench

REPEAT = 1

a = Matrix[0...250000, 500, 500]
b = Matrix[0...250000, 500, 500]

puts("calculating ...")
Bench::bench_time(REPEAT) { c = a*b }

